Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
flatcam
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Unsupported Software
View previous topic :: View next topic  
Author Message
lekto
n00b
n00b


Joined: 20 Sep 2014
Posts: 32

PostPosted: Thu May 02, 2019 7:24 am    Post subject: flatcam Reply with quote

Hi, I trying to run flatcam on Gentoo, problem is that flatcam need pyqt4. I found old ebuild for pyqt4-4.12.3, but this ebuild need qt4 which isn't in portage anymore. Is there any chance to run flatcam on Gentoo or I should just install other distro on virtual machine?
Back to top
View user's profile Send private message
fedeliallalinea
Bodhisattva
Bodhisattva


Joined: 08 Mar 2003
Posts: 22153
Location: here

PostPosted: Thu May 02, 2019 7:33 am    Post subject: Reply with quote

You can try some overlay that have qt4 http://gpo.zugaina.org/dev-qt/qtcore
_________________
Questions are guaranteed in life; Answers aren't.
Back to top
View user's profile Send private message
asturm
Developer
Developer


Joined: 05 Apr 2007
Posts: 7104
Location: Austria

PostPosted: Thu May 02, 2019 10:26 am    Post subject: Reply with quote

Also, please create an upstream bug about them porting to PyQt5 or pyside2 - maybe they are not aware that Qt4 is unmaintained for years now?
_________________
backend.cpp:92:2: warning: #warning TODO - this error message is about as useful as a cooling unit in the arctic
Back to top
View user's profile Send private message
lekto
n00b
n00b


Joined: 20 Sep 2014
Posts: 32

PostPosted: Sat May 04, 2019 4:14 pm    Post subject: Reply with quote

I was checking flatcam's git and found they have beta branch that support PyQt5. Now I stuck on rasterio, which is some python library, which isn't in Portage tree nor in Zugaina and I don't know how to create working ebuild for it.
Back to top
View user's profile Send private message
asturm
Developer
Developer


Joined: 05 Apr 2007
Posts: 7104
Location: Austria

PostPosted: Sat May 04, 2019 4:48 pm    Post subject: Reply with quote

Indeed, and I can't find an open bug about it either. rasterio https://github.com/mapbox/rasterio

And rasterio would require at least packaging another two new python libs:
affine - https://github.com/sgillies/affine
snuggs - https://github.com/mapbox/snuggs
_________________
backend.cpp:92:2: warning: #warning TODO - this error message is about as useful as a cooling unit in the arctic
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Unsupported Software All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum